#
# spec file for package python-wurlitzer
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without python2
Name:           python-wurlitzer
Version:        3.0.3
Release:        1.5
Summary:        Python package to capture C-level output in context managers
License:        MIT
URL:            https://github.com/minrk/wurlitzer
Source:         https://files.pythonhosted.org/packages/source/w/wurlitzer/wurlitzer-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%if %{with python2}
BuildRequires:  python-selectors2
%endif
%ifpython2
Requires:       python-selectors2
%endif
%python_subpackages

%description
Wurlitzer is a python package to capture C-level
output in context managers.

%prep
%setup -q -n wurlitzer-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest test.py

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Wed Dec  7 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 3.0.3
  * ci: update packages in freebsd #70
  * Include STDOUT and PIPE in public API #69
  * use 2**18 for bufsize test #61
  * Try running tests on freebsd #60
  * Add details to the failed-to-set-pipe-buffer-size warning #58
  * Add details to the failed-to-set-pipe-buffer-size warning, closes #5757 #5757
* Thu Apr 14 2022 pgajdos@suse.com
- version update to 3.0.2
  * no upstream changelog file found
- python-mock is not required for build
* Tue Jul 21 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 2.0.1
  * small bug- and test fixes
* Mon Apr 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build without python2 available
* Wed Nov  6 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.0:
  * use selectors instead of select.poll #34
* Mon Jul 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.0.3:
  * no upstream changelog
* Sat Dec 22 2018 Todd R <toddrme2178@gmail.com>
- Initial version (1.0.2)
